Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.matrix.cls
Class ExistentialMatrixColumn

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.matrix.cls.ExistentialMatrixColumn

All Implemented Interfaces:
  DependentMatrixColumn, MatrixColumn

    public class ExistentialMatrixColumn

extends Object
implements DependentMatrixColumn, MatrixColumn

Author:
  Holger Knublauch

Constructor Summary
`ExistentialMatrixColumn(RDFProperty property)`

Method Summary
`TableCellRenderer` | `getCellRenderer()`
`String` | `getName()`
`RDFProperty` | `getProperty()`
`int` | `getWidth()`
`boolean` | `isDependentOn(RDFResource instance)` Called after any RDFResource has been deleted from the ontology.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExistentialMatrixColumn

    public ExistentialMatrixColumn(RDFProperty property)

Method Detail

### getCellRenderer

    public TableCellRenderer getCellRenderer()

  Specified by:
    `getCellRenderer` in interface `MatrixColumn`

### getName

    public String getName()

  Specified by:
    `getName` in interface `MatrixColumn`

### getProperty

    public RDFProperty getProperty()

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `MatrixColumn`

### isDependentOn

    public boolean isDependentOn(RDFResource instance)

  Description copied from interface: `DependentMatrixColumn`
  Called after any RDFResource has been deleted from the ontology.

  Specified by:
    `isDependentOn` in interface `DependentMatrixColumn`
  Parameters:
    `instance` - the instance that has been deleted
  Returns:
    true if this column must be removed from the table

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.